liblablgtkspell3-ocaml_3.0~beta6-2_i386.deb


Advertisement

Description

liblablgtkspell3-ocaml - OCaml bindings for libgtkspell3 (runtime)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename liblablgtkspell3-ocaml_3.0~beta6-2_i386.deb
Package name liblablgtkspell3-ocaml
Package version 3.0~beta6
Package release 2
Package architecture i386
Package type deb
Category ocaml
Homepage https://github.com/garrigue/lablgtk
License -
Maintainer Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Download size 24.77 KB
Installed size 47.00 KB

Alternatives

Package Version Architecture Repository
liblablgtkspell3-ocaml_3.0~beta6-2_amd64.deb 3.0~beta6 amd64 Debian Main
liblablgtkspell3-ocaml - - -

Requires

Name Value
libcairo2-ocaml-4phv1 -
libglib2.0-0 >= 2.12.0
libgtk-3-0 >= 3.0.0
libgtkspell3-3-0 -
liblablgtk3-ocaml-53785 -
ocaml-base-nox-4.05.0 -

Provides

Name Value
liblablgtkspell3-ocaml-9ja62 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liblablgtkspell3-ocaml_3.0~beta6-2_i386.deb
Source Package lablgtk3

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liblablgtkspell3-ocaml deb package:
    # sudo apt-get install liblablgtkspell3-ocaml

Files

Path
/usr/lib/ocaml/stublibs/dlllablgtk3_gtkspell3_stubs.so
/usr/share/doc/liblablgtkspell3-ocaml/changelog.Debian.gz
/usr/share/doc/liblablgtkspell3-ocaml/changelog.gz
/usr/share/doc/liblablgtkspell3-ocaml/copyright

Changelog

2019-08-26 - Ralf Treinen <treinen@debian.org>
lablgtk3 (3.0~beta6-2) unstable; urgency=medium
* Package liblablgtk3-ocaml-dev: add breaks/replaces with
liblablgtk3-ocaml (<< 3.0~beta6-1) since the META file was
moved from the latter to the first (closes: Bug#935611)
* Add to override dh_ocaml more units that are also exported by
lablgtk2-ocaml-dev: GPointer, Glib
* Fix a typo in long description of liblablgtk3-ocaml
2019-08-13 - Ralf Treinen <treinen@debian.org>
lablgtk3 (3.0~beta6-1) unstable; urgency=medium
* New upstream beta release
* New binary packages liblablgtkspell3-ocaml-dev, liblablgtkspell3-ocaml
* d/watch:
- point to release tags on github
- set uversionmangle to handle correctly ".beta" versions
* Build-dependencies:
- add libcairo2-ocaml-dev
- add ocaml-dune and libdune-ocaml-dev
- change ocaml-nox to ocaml
- change debhelper(=11) to debhelper-compat(=12), drop file debian/compat
* Drop build-conflict on liblablgtk2-ocaml-dev
* Improve package descriptions
* Installation into binary packages:
- change debian/*install.in files to follow the new file layout created
by "dune install"
- install useful upstream docs into liblablgtk-ocaml-dev
- do not install binaries lablgladecc3 and gdk_pixbuf_mlsource3
* debian/rules:
- build: call dune -p ... (thanks to @ejgallego for the hint)
- clean: call dune
- install: call dune
- configure: do nothing, since dune does its own configuration.
- drop unused variable settings from d/rules
- dh_missing: switch to --fail-missing
- override dh_ocaml to avoid conflicts on units that are also
exported by lablgtk2-ocaml-dev
* debian/copyright:
- drop a spurious blank line
* Package tests:
- update compilation option for lablgtk3-dev
* Add Homepage
* Standards-Version 4.4.0 (no change)
2018-12-23 - Ralf Treinen <treinen@debian.org>
lablgtk3 (3.0~beta3-1) unstable; urgency=medium
* Initial packaging (closes: #916645)

See Also

Package Description
liblabltk-ocaml-dev_8.06.2+dfsg-1_i386.deb OCaml bindings to Tcl/Tk (dev. libraries)
liblabltk-ocaml_8.06.2+dfsg-1_i386.deb OCaml bindings to Tcl/Tk (runtime libraries)
libladr-dev_0.0.200911a-2.1+b2_i386.deb the LADR deduction library, development files
libladr4_0.0.200911a-2.1+b2_i386.deb the LADR deduction library
libladspa-ocaml-dev_0.1.4-1.1+b2_i386.deb OCaml bindings for LADSPA -- development files
libladspa-ocaml_0.1.4-1.1+b2_i386.deb OCaml bindings for LADSPA -- runtime files
liblaf-plugin-java-doc_7.3+dfsg3-5_all.deb Support for third-party components in Java look-and-feel libraries (doc)
liblaf-plugin-java_7.3+dfsg3-5_all.deb Support for third-party components in Java look-and-feel libraries
liblaf-widget-java-doc_7.3+dfsg3-5_all.deb Java widget toolbox for look-and-feel libraries - documentation
liblaf-widget-java_7.3+dfsg3-5_all.deb Java widget toolbox for other look-and-feel libraries
liblam4_7.1.4-6+b1_i386.deb Shared libraries used by LAM parallel programs
liblambda-term-ocaml-dev_1.10.1-2+b5_i386.deb terminal manipulation library for OCaml (development tools)
liblambda-term-ocaml_1.10.1-2+b5_i386.deb terminal manipulation library for OCaml (runtime)
liblangtag-common_0.6.2-1_all.deb library to access tags for identifying languages -- data
liblangtag-dev_0.6.2-1_i386.deb library to access tags for identifying languages -- development
Advertisement
Advertisement